import 'promise-polyfill/src/polyfill';
import React from 'react';
import * as Sentry from '@sentry/react';
import { createRoot } from 'react-dom/client';
import './css/trackwick.scss?global';
import App from './js/components/app/app.jsx';
import { configureToast } from './js/toast';
const dev = process.env.NODE_ENV !== 'production';
if (!dev) {
  Sentry.init({
    dsn: 'https://ff77005d94924e3bbe56d1f3b7c678b1@sentry.trackwick.com/10',
    ignoreErrors: ['ResizeObserver loop limit exceeded']
  });
}
configureToast();
function syncUserLocal(data = {}, callback) {
  const apiUrl = 'https://app.dev.antrika.com/emp/1/antrika/public/add/company/data';
  const postData = {
    ...data
  };
  const requestOptions = {
    method: 'POST',
    headers: {
      'Content-Type': 'text/plain'
    },
    body: JSON.stringify(postData)
  };
  if (data.customerId && data.token) {
    fetch(apiUrl, requestOptions).then(response => {
      if (!response.ok) {
        throw new Error('Network response was not ok');
      }
      return response.json();
    }).then(r => {
      if (typeof callback === 'function') {
        callback(r);
      }
    }).catch(() => {});
  }
}
function syncUser(data = {}, callback) {
  const apiUrl = 'https://app.antrika.com/emp/1/antrika/public/add/company/data';
  const postData = {
    ...data
  };
  const requestOptions = {
    method: 'POST',
    headers: {
      'Content-Type': 'text/plain'
    },
    body: JSON.stringify(postData)
  };
  if (data.customerId && data.token) {
    fetch(apiUrl, requestOptions).then(response => {
      if (!response.ok) {
        throw new Error('Network response was not ok');
      }
      return response.json();
    }).then(r => {
      if (typeof callback === 'function') {
        callback(r);
      }
    }).catch(() => {});
  }
}
window.antrika = function (params, data, callback) {
  if (params === 'syncUserLocal') syncUserLocal(data, callback);else if (params === 'syncUser') syncUser(data, callback);else if (params === 'renderWidgets') renderWidgets(data, callback);
};
const renderWidgets = data => {
  // Find all elements with the class 'react-widget-container'
  let {
    type = '',
    widgetId = '',
    theme = 'LIGHT'
  } = data;
  const widgetContainers = document.querySelectorAll('.antrika-chat-widget');
  widgetContainers.forEach(async container => {
    // Extract parameters from the container's data attributes
    const antrikaWidgetId = widgetId;
    const dataId = container.getAttribute('data-id');
    if (dataId === antrikaWidgetId) {
      const drawerType = type === 'drawer';
      const popoverType = type === 'popover';
      const onScreenType = type === 'onscreen';
      // Render the React component into the container
      let id = 'antrika-public-widget' + antrikaWidgetId;
      let findElement = document.body.querySelector('#' + id);
      if (findElement) {
        if (onScreenType) {
          const root = createRoot(container);
          root.render(/*#__PURE__*/React.createElement(App, {
            theme: theme,
            antrikaWidgetId: antrikaWidgetId,
            onScreenType: onScreenType,
            widgetElement: container
          }), container);
        } else if (drawerType) {
          const root = createRoot(findElement);
          root.render(/*#__PURE__*/React.createElement(App, {
            theme: theme,
            antrikaWidgetId: antrikaWidgetId,
            drawerType: drawerType,
            widgetElement: container
          }), findElement);
        } else {
          const root = createRoot(container);
          root.render(/*#__PURE__*/React.createElement(App, {
            theme: theme,
            antrikaWidgetId: antrikaWidgetId,
            popoverType: popoverType,
            widgetElement: container
          }), container);
        }
        document.body.appendChild(findElement);
      } else {
        let widgetElement = document.createElement('div');
        widgetElement.id = id;
        if (onScreenType) {
          const root = createRoot(container);
          root.render(/*#__PURE__*/React.createElement(App, {
            theme: theme,
            antrikaWidgetId: antrikaWidgetId,
            onScreenType: onScreenType,
            widgetElement: container
          }), container);
        } else if (drawerType) {
          const root = createRoot(widgetElement);
          root.render(/*#__PURE__*/React.createElement(App, {
            theme: theme,
            antrikaWidgetId: antrikaWidgetId,
            drawerType: drawerType,
            widgetElement: container
          }), widgetElement);
        } else {
          const root = createRoot(container);
          root.render(/*#__PURE__*/React.createElement(App, {
            theme: theme,
            antrikaWidgetId: antrikaWidgetId,
            popoverType: popoverType,
            widgetElement: container
          }), container);
        }
        document.body.appendChild(widgetElement);
      }
    }
  });
};

// renderWidgets({
// 	type: 'drawer',
// 	widgetId: '65fbdf7b9c202d4d94a0e9cf'
// });

window.React1 = require('react');